Attributes
JSON key/value pairs in the request body
POST | https://api.zonos.com/v1/shipment_rating
HEADER zonos-version: 2020-03-04
위 헤더는 이 rating 요청이 성공적으로 완료되려면 필수 입력입니다.
| Field↕ | Notes↕ |
|---|---|
currency REQUIRED | 기준 통화 문자열로, 3자리 ISO 코드로 표시됩니다. |
items_amount REQUIRED | 품목 금액이 포함된 decimal입니다. |
packages REQUIRED | 배송되는 패키지의 수 및 치수 목록입니다. hash |
packages.id REQUIRED | 판매자 또는 수출자의 고유 패키지 식별자입니다. |
packages.dimensions REQUIRED | 패키지의 치수입니다. hash |
packages.dimensions.height REQUIRED | 배송 상자 높이에 대한 decimal입니다. |
packages.dimensions.length REQUIRED | 배송 상자 길이에 대한 decimal입니다. |
packages.dimensions.unit REQUIRED | 배송 상자 치수의 측정 단위입니다. 가능한 값: inch centimeter millimeter null. null이면 inch가 사용됩니다. |
packages.dimensions.width REQUIRED | 배송 상자 너비를 포함하는 decimal입니다. |
packages.insured_amount OPTIONAL | 보험 금액이 포함된 decimal입니다. |
packages.type OPTIONAL | 배송 계산에 사용할 특정 운송사 상자 유형을 지정하는 문자열입니다. 가능한 값: FEDEX_BOX |
packages.weight REQUIRED | 패키지 무게를 포함하는 decimal입니다. |
packages.weight_unit REQUIRED | 무게의 측정 단위를 나타내는 문자열입니다. 가능한 값: pound ounce kilogram null. null이면 pound가 사용됩니다. |
pickup_date REQUIRED | 패키지의 요청된 픽업 날짜입니다. ISO 8601 형식 YYYY-MM-DDTHH:mm:ss.sss+0000. 시간대 정보가 없으면 UTC로 가정합니다. |
service_level OPTIONAL | The service_level with the carrier, e.g., standard. hash Common examples include: ups_express, ups_express_saver, ups_expedited, ups_economy, ups_standard, ups_mail_innovations_economy, ups_mail_innovations_priority, dhl_express, dhl_ecommerce_parcel_direct, fedex_priority, fedex_economy, usps_first_class_mail_international, usps_priority_mail_international, landmark_parcel, apc_parcel, point2point_standard, point2point_direct, point2point_packet, and fedex_international_groundSee the carrier docs for the full list of available service levels by carrier. |
ship_from REQUIRED | 출발지 주소입니다. hash |
ship_from.city | 출발지 주소의 도시, 마을, 구, 교외 또는 마을에 대한 문자열입니다. |
ship_from.country REQUIRED | 출발지 국가 문자열로, 2자리 ISO 코드로 표시됩니다. |
ship_from.postal_code REQUIRED | 출발지 주소 우편번호에 대한 문자열입니다. |
ship_from.state_code REQUIRED | 사용 가능한 경우 출발지 주소에 대한 문자열입니다. 캐나다와 브라질에서만 필수입니다. |
ship_to REQUIRED | 도착지 주소입니다. hash |
ship_to.city REQUIRED | 고객의 도시, 마을, 구, 교외 또는 마을에 대한 문자열입니다. |
ship_to.country REQUIRED | 도착지 국가 문자열로, 2자리 ISO 코드로 표시됩니다. |
ship_to.postal_code REQUIRED | 도착지 우편번호에 대한 문자열입니다. 수입 국가에 따라 선택 사항입니다. |
ship_to.state_code REQUIRED | 사용 가능한 경우 도착지 주/도 코드에 대한 문자열입니다. 캐나다와 브라질에서만 필수입니다. |
ship_to.type REQUIRED | 도착지 주소 유형입니다. 가능한 값: residential commercial. |
1
{2
"currency": "USD",3
"items_amount": 168.99,4
"packages": [5
{6
"id": "1",7
"dimensions": {8
"height": 19,9
"length": 15,10
"unit": "inch",11
"width": 1512
},13
"insured_amount": 33.22,14
"type": null,15
"weight": 32,16
"weight_unit": "pound"17
}18
],19
"pickup_date": "2020-07-06T18:47:04.629+0000",20
"service_level": null,21
"ship_from": {22
"city": "St George",23
"country": "US",24
"postal_code": "84770",25
"state_code": "UT"26
},27
"ship_to": {28
"city": "Campinas",29
"country": "BR",30
"postal_code": "75828-000",31
"state_code": "SP",32
"type": "residential"33
}34
}
Request a shipment rating
shipment rating 요청의 key/value 쌍을 알아보세요.Zonos 내 스토어 설정에 구성된 다양한 배송 제공업체에 대한 국제 배송 요금을 요청합니다.